<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.1</TargetFramework>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DocumentationFile>YGNT.Infrastructure.xml</DocumentationFile>
    <NoWarn>1701;1702;1591</NoWarn>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <DocumentationFile>YGNT.Infrastructure.xml</DocumentationFile>
    <NoWarn>1701;1702;1591</NoWarn>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Grpc\**" />
    <Compile Remove="Resource\**" />
    <EmbeddedResource Remove="Grpc\**" />
    <EmbeddedResource Remove="Resource\**" />
    <None Remove="Grpc\**" />
    <None Remove="Resource\**" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Abp" Version="5.8.0" />
    <PackageReference Include="Abp.EntityFrameworkCore" Version="5.8.0" />
    <PackageReference Include="Google.Protobuf" Version="3.11.4" />
    <PackageReference Include="Grpc" Version="2.28.1" />
    <PackageReference Include="Grpc.Net.Client" Version="2.28.0" />
    <PackageReference Include="Grpc.Tools" Version="2.29.0">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Mapster" Version="5.3.0" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc" Version="2.2.0" />
    <PackageReference Include="Microsoft.AspNetCore.StaticFiles" Version="2.2.0" />
    <PackageReference Include="Microsoft.Extensions.Configuration" Version="3.1.4" />
    <PackageReference Include="Microsoft.Extensions.Configuration.Abstractions" Version="3.1.4" />
    <PackageReference Include="Microsoft.Extensions.Configuration.Json" Version="3.1.4" />
    <PackageReference Include="Newtonsoft.Json" Version="12.0.3" />
    <PackageReference Include="System.IdentityModel.Tokens.Jwt" Version="6.12.2" />
  </ItemGroup>
  <ItemGroup>
    <Reference Include="Microsoft.EntityFrameworkCore">
      <HintPath>C:\Users\Bx\.nuget\packages\microsoft.entityframeworkcore\3.1.4\lib\netstandard2.0\Microsoft.EntityFrameworkCore.dll</HintPath>
    </Reference>
  </ItemGroup>
 </Project>
